## r-cran-testit 0.6

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.6
Date: 2016-11-09
Author: Yihui Xie
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi
Collate: 'testit.R' 'utils.R'
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-11-08 21:51:20 UTC; yihui
Repository: CRAN
Date/Publication: 2016-11-09 18:28:59

=== debian/changelog ===
r-cran-testit (0.6-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 10 Nov 2016 21:20:46 +0100

r-cran-testit (0.5-1) unstable; urgency=low

  * Initial release (closes: #837342)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 20:51:36 +0200

=== debian/control ===
Source: r-cran-testit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testit/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testit/trunk/
Homepage: https://cran.r-project.org/package=testit

Package: r-cran-testit
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: simple package for testing GNU R packages
 This GNU R package provides two convenience functions assert() and
 test_pkg() to facilitate testing R packages.

## r-cran-testit 0.7

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.7
Date: 2017-05-21
Author: Yihui Xie
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi
Collate: 'testit.R' 'utils.R'
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-05-21 04:53:18 UTC; yihui
Repository: CRAN
Date/Publication: 2017-05-22 05:16:36 UTC

=== debian/changelog ===
r-cran-testit (0.7-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 16:57:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-testit/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-testit/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-testit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit
 
 Package: r-cran-testit

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

# needs checking idea whether this is needed any more
    # Delete tests depending from devtools since this is not (yet) packaged
#	cd debian/$(package)/usr/share/doc/$(package)/tests/ ; \
#	if grep -qR devtools * ; then \
#	    rm -f `grep -lR devtools *` ; \
#	fi

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/testit_([-\d.]*)\.tar\.gz

## r-cran-testit 0.8

=== debian/changelog ===
r-cran-testit (0.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 16:58:44 +0200

r-cran-testit (0.7-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 22:48:35 +0200

=== debian/control ===
Source: r-cran-testit
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
Homepage: https://cran.r-project.org/package=testit

Package: r-cran-testit
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: simple package for testing GNU R packages
 This GNU R package provides two convenience functions assert() and
 test_pkg() to facilitate testing R packages.

## r-cran-testit 0.9

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.9
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")), 
  person("Steven", "Mortimer", role = "ctb", email="reportmort@gmail.com")
  )
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-12-05 17:42:23 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Steven Mortimer [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2018-12-05 18:10:03 UTC

=== debian/changelog ===
r-cran-testit (0.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 10 Dec 2018 22:45:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit

## r-cran-testit 0.11

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.11
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")), 
  person("Steven", "Mortimer", role = "ctb", email="reportmort@gmail.com")
  )
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL-3
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-11-12 15:21:17 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Steven Mortimer [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2019-11-12 17:00:02 UTC

=== debian/changelog ===
r-cran-testit (0.11-1) unstable; urgency=medium

  * New upstream version
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Sat, 16 Nov 2019 20:07:54 +0100

r-cran-testit (0.10-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 15:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,3 @@
 #	if grep -qR devtools * ; then \
 #	    rm -f `grep -lR devtools *` ; \
 #	fi
-

## r-cran-testit 0.12

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.12
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")), 
  person("Steven", "Mortimer", role = "ctb", email="reportmort@gmail.com")
  )
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL-3
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-09-24 20:51:17 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Steven Mortimer [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2020-09-25 05:00:02 UTC

=== debian/changelog ===
r-cran-testit (0.12-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:36:39 +0200

r-cran-testit (0.11-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 08:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit
+Rules-Requires-Root: no
 
 Package: r-cran-testit
 Architecture: all

## r-cran-testit 0.13

=== DESCRIPTION ===
Package: testit
Type: Package
Title: A Simple Package for Testing R Packages
Version: 0.13
Authors@R: c(
  person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")), 
  person("Steven", "Mortimer", role = "ctb", email="reportmort@gmail.com")
  )
Description: Provides two convenience functions assert() and test_pkg() to
    facilitate testing R packages.
License: GPL-3
URL: https://github.com/yihui/testit
BugReports: https://github.com/yihui/testit/issues
Suggests: rstudioapi, covr
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-04-14 13:30:17 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Steven Mortimer [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-04-14 14:40:02 UTC

=== debian/changelog ===
r-cran-testit (0.13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 14:27:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/testit_([-\d.]*)\.tar\.gz

## r-cran-testit 0.15

=== debian/changelog ===
r-cran-testit (0.15-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Update debian/copyright for MIT relicensing.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 11:53:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-testit
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-testit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-testit.git
 Homepage: https://cran.r-project.org/package=testit
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-testit
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rstudioapi
Restrictions: allow-stderr
